> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/intro.md).

# Formulas and expressions

The Formula Editor is a powerful tool for executing constraints and calculations. The built-in functions and the various operators offer a wide range of options for data output and modification.

![](/files/e5SwtX5UTBU7Kqe2WXbG)

## Formula

Within the Formula Editor, you use [functions](/acron-9.3/en/intro/funktionen.md), [operators](/acron-9.3/en/intro/operator.md), [constants](/acron-9.3/en/intro/konstanten.md) and [variables](/acron-9.3/en/intro/variablen.md) to specify calculations and evaluations / constraints.

It is possible to combine multiple logic links - including differing ones - within a constraint.

Note, though, that the individual elements you can use in an expression have a hierarchical order of processing. The general hierarchy is:

| Priority | Element                                                                                 |
| -------- | --------------------------------------------------------------------------------------- |
| 1        | Brackets                                                                                |
| 2        | [Functions](/acron-9.3/en/intro/funktionen.md)                                          |
| 3        | [Logical Operators](/acron-9.3/en/intro/operator/operator_logisch.md)                   |
| 4        | [Arithmetic Operators](/acron-9.3/en/intro/operator/operator_arithmetisch.md)           |
| 5        | [Comparative operators (relations)](/acron-9.3/en/intro/operator/operator_vergleich.md) |

If you want to bypass this processing hierarchy, you must use brackets. Brackets within an expression are always resolved from the inner to the outer.

## Formula test

Facility to test the formula:

In the left column of the table the related variable is displayed. In the right column a value can be entered. After leaving the input field, the calculation will be performed and displayed.

* Result - decimal

  The result of the calculation is displayed in decimal form.
* Result - hexadecimal

  The result of the calculation is displayed in hexadecimal form.

  Note

  Not for floating point numbers.
* Result - binary

  The result of the calculation is displayed in binary.

  Note

  Not for floating point numbers.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/intro.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
